ru.bitel.bgbilling.modules.sorm.common.bean

## Class ViewUploadFilesConfigurator

- java.lang.Object
- - ru.bitel.bgbilling.modules.sorm.common.bean.ViewUploadFilesConfigurator

-     public class ViewUploadFilesConfigurator
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `HORIZONTAL_ORIENTATION`
    `static int` | `VERTICAL_ORIENTATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewUploadFilesConfigurator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPathToFile()`
    `int` | `getPrintOrientation()`
    `int` | `getProcessedLineLimit()`
    `SormProject` | `getSormProject()`
    `boolean` | `isShowFieldTitles()`
    `ViewUploadFilesConfigurator` | `setPathToFile(java.lang.String pathToFile)`
    `ViewUploadFilesConfigurator` | `setPrintOrientation(int printOrientation)`
    `ViewUploadFilesConfigurator` | `setProcessedLineLimit(int processedLineLimit)`
    `ViewUploadFilesConfigurator` | `setShowFieldTitles(boolean showFieldTitles)`
    `ViewUploadFilesConfigurator` | `setSormProject(SormProject sormProject)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HORIZONTAL_ORIENTATION

          public static final int HORIZONTAL_ORIENTATION

      See Also:
        Constant Field Values

    - #### VERTICAL_ORIENTATION

          public static final int VERTICAL_ORIENTATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ViewUploadFilesConfigurator

          public ViewUploadFilesConfigurator()

  - ### Method Detail

    - #### setSormProject

          public ViewUploadFilesConfigurator setSormProject(SormProject sormProject)

    - #### setPathToFile

          public ViewUploadFilesConfigurator setPathToFile(java.lang.String pathToFile)

    - #### setProcessedLineLimit

          public ViewUploadFilesConfigurator setProcessedLineLimit(int processedLineLimit)

    - #### setShowFieldTitles

          public ViewUploadFilesConfigurator setShowFieldTitles(boolean showFieldTitles)

    - #### setPrintOrientation

          public ViewUploadFilesConfigurator setPrintOrientation(int printOrientation)

    - #### getSormProject

          public SormProject getSormProject()

    - #### getPathToFile

          public java.lang.String getPathToFile()

    - #### getProcessedLineLimit

          public int getProcessedLineLimit()

    - #### isShowFieldTitles

          public boolean isShowFieldTitles()

    - #### getPrintOrientation

          public int getPrintOrientation()